ace-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From br...@apache.org
Subject svn commit: r1491409 - /ace/sandbox/bramk/check_staged_ace.sh
Date Mon, 10 Jun 2013 10:58:59 GMT
Author: bramk
Date: Mon Jun 10 10:58:58 2013
New Revision: 1491409

URL: http://svn.apache.org/r1491409
Log:
ACE-360 First drop of staging check script

Added:
    ace/sandbox/bramk/check_staged_ace.sh   (with props)

Added: ace/sandbox/bramk/check_staged_ace.sh
URL: http://svn.apache.org/viewvc/ace/sandbox/bramk/check_staged_ace.sh?rev=1491409&view=auto
==============================================================================
--- ace/sandbox/bramk/check_staged_ace.sh (added)
+++ ace/sandbox/bramk/check_staged_ace.sh Mon Jun 10 10:58:58 2013
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+RELEASE=${1}
+DOWNLOAD=${2:-/tmp/ace-staging}
+mkdir ${DOWNLOAD} 2>/dev/null
+
+# The following code automatically imports the signing KEYS, but it may actually be
+# better to download them from a key server and/or let the user choose what keys
+# he wants to import.
+wget --no-check-certificate -P "${DOWNLOAD}" http://www.apache.org/dist/felix/KEYS 
+gpg --import "${DOWNLOAD}/KEYS"
+
+if [ -z "${RELEASE}" -o ! -d "${DOWNLOAD}" ]
+then
+ echo "Usage: check_staged_release.sh <release-number> [temp-directory]"
+ exit
+fi
+
+if [ ! -e "${DOWNLOAD}/apache-ace-${RELEASE}" ]
+then
+ echo "################################################################################"
+ echo "                           DOWNLOAD STAGED REPOSITORY                           "
+ echo "################################################################################"
+
+ wget \
+  -e "robots=off" --wait 1 -r -np "--reject=html,txt" "--follow-tags=" \
+  -P "${DOWNLOAD}/apache-ace-${RELEASE}" -nH "--cut-dirs=5" --ignore-length --no-check-certificate
\
+  "https://dist.apache.org/repos/dist/dev/ace/apache-ace-${RELEASE}/"
+
+else
+ echo "################################################################################"
+ echo "                       USING EXISTING STAGED REPOSITORY                         "
+ echo "################################################################################"
+ echo "${DOWNLOAD}/apache-ace-${RELEASE}"
+fi
+
+echo "################################################################################"
+echo "                          CHECK SIGNATURES AND DIGESTS                          "
+echo "################################################################################"
+
+for i in `find "${DOWNLOAD}/apache-ace-${RELEASE}" -type f | grep -v '\.\(asc\|sha\|md5\)$'`
+do
+ f=`echo $i | sed 's/\.asc$//'`
+ echo "--> $f"
+ gpg --verify $f.asc
+ if [ "$?" = "0" ]; then CHKSUM="GOOD"; else CHKSUM="BAD!!!!!!!!"; fi
+ if [ ! -f "$f.asc" ]; then CHKSUM="----"; fi
+ echo "gpg:  ${CHKSUM}"
+ if [ "`cat $f.md5 2>/dev/null`" = "`openssl md5 < $f 2>/dev/null | sed 's/.*= *//'`"
]; then CHKSUM="GOOD"; else CHKSUM="BAD!!!!!!!!"; fi
+ if [ ! -f "$f.md5" ]; then CHKSUM="----"; fi
+ echo "md5:  ${CHKSUM}"
+ if [ "`cat $f.sha1 2>/dev/null`" = "`openssl sha1 < $f 2>/dev/null | sed 's/.*=
*//'`" ]; then CHKSUM="GOOD"; else CHKSUM="BAD!!!!!!!!"; fi
+ if [ ! -f "$f.sha" ]; then CHKSUM="----"; fi
+ echo "sha1: ${CHKSUM}"
+done
+
+if [ -z "${CHKSUM}" ]; then echo "WARNING: no files found!"; fi
+
+echo "################################################################################"
+

Propchange: ace/sandbox/bramk/check_staged_ace.sh
------------------------------------------------------------------------------
    svn:executable = *



Mime
View raw message